org.apache.poi.xssf.usermodel.extensions

## Enum XSSFCellBorder.BorderSide

- java.lang.Object
- - java.lang.Enum<XSSFCellBorder.BorderSide>
  - - org.apache.poi.xssf.usermodel.extensions.XSSFCellBorder.BorderSide

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<XSSFCellBorder.BorderSide>
  Enclosing class:
    XSSFCellBorder

      public static enum XSSFCellBorder.BorderSide
      extends java.lang.Enum<XSSFCellBorder.BorderSide>

  The enumeration value indicating the side being used for a cell border.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOTTOM`
    `LEFT`
    `RIGHT`
    `TOP`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XSSFCellBorder.BorderSide` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static XSSFCellBorder.BorderSide[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TOP

          public static final XSSFCellBorder.BorderSide TOP

    - #### RIGHT

          public static final XSSFCellBorder.BorderSide RIGHT

    - #### BOTTOM

          public static final XSSFCellBorder.BorderSide BOTTOM

    - #### LEFT

          public static final XSSFCellBorder.BorderSide LEFT

  - ### Method Detail

    - #### values

          public static XSSFCellBorder.BorderSide[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (XSSFCellBorder.BorderSide c : XSSFCellBorder.BorderSide.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static XSSFCellBorder.BorderSide valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.